package com.usky.dxtop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Charge;
import com.usky.dxtop.service.vo.ChargeRequest;

import java.util.Map;


/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-09-09
 */
public interface ChargeService extends IService<Charge> {
    /**
     * 分页
     * @param chargeRequest
     * @return
     */
    CommonPage<Charge> page(ChargeRequest chargeRequest);


    CommonPage<Map<String,Object>> cordPage(ChargeRequest chargeRequest);

    /**
     * 充值详情
     * @param seq
     * @return
     */
    Charge one(Long seq);

    /**
     * 修改
     * @param charge
     * @return
     */
    Boolean update(Charge charge);
}
