package com.usky.dxtop.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.usky.dxtop.common.core.page.CommonPage;
import com.usky.dxtop.model.Dept;
import com.usky.dxtop.service.vo.StaffRequest;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author yq
 * @since 2021-09-28
 */
public interface DeptService extends IService<Dept> {

    /**
     * 分页
      * @param staffRequest
     * @return
     */
    CommonPage<Dept> page(StaffRequest staffRequest);


    /**
     * 构建前端所需要树结构
     *
     * @param depts 部门列表
     * @return 树结构列表
     */
    List<Dept> buildDeptTree(List<Dept> depts);

}
