package com.usky.dxtop;

import com.usky.dxtop.model.Charge;
import com.usky.dxtop.model.Dish;
import com.usky.dxtop.service.ChargeService;
import com.usky.dxtop.service.DishService;
import com.usky.dxtop.service.MsgLogService;
import com.usky.dxtop.service.api.WxApi;
import com.usky.dxtop.service.job.SmJob;
import com.usky.dxtop.service.listener.ChargeTransMqListener;
import com.usky.dxtop.service.listener.DishTransMqListener;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author yq
 * @date 2021/9/28 15:11
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class SmApiTest {


    @Autowired
    private MsgLogService msgLogService;

    @Autowired
    private WxApi wxApi;

    @Autowired
    private ChargeTransMqListener chargeTransMqListener;

    @Autowired
    private DishTransMqListener dishTransMqListener;

    @Autowired
    private DishService dishService;
    @Autowired
    private ChargeService chargeService;

    @Autowired
    private SmJob smJob;
    @Test
    public void test1(){
        smJob.personApi(null);
    }
    @Test
    public void testSendMessage(){
        Dish dish = dishService.getById(637744684233638175L);
        wxApi.sendMessageApi("o5P6I5tLj-TjrK7leWUT8EFmTCa4",dishTransMqListener.getMessageData(dish),wxApi.getToken(WxApi.APP_ID,WxApi.SECRET), WxApi.DISH_TEMPLATE_ID,"https://smartpark.caih.com/vuepay/#/record?id=2");


        Charge charge = chargeService.getById(637744683598183711L);
        wxApi.sendMessageApi("o5P6I5tLj-TjrK7leWUT8EFmTCa4",chargeTransMqListener.getMessageData(charge),wxApi.getToken(WxApi.APP_ID,WxApi.SECRET), WxApi.CHARGE_TEMPLATE_ID,"https://smartpark.caih.com/vuepay/#/record?id=2");
    }

}
